*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a{
    text-decoration: none;
}

ul{
    list-style: none;
}

.header {
    position: sticky;
    position: -webkit-sticky;
    background-color: #4259db;
    top: 0;
    width: 100%;
	height: 60px;
	display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    padding-right: 0px;
    padding-left: 0px;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-text-fill-color: inherit;
	z-index: 9000;
	clear: both;
}

.logo{
    position: relative;
    padding-left: 20px;
    top: 15px;
    overflow: hidden;
}

/* Nav menu */
.nav {
    font-family: karla, sans-serif;
	font-size: .85rem;
    width: 100%;
    height: 100%;
	top: 0;
	left: 0;
    position: fixed;
    background-color: #4259db;
    overflow: hidden;
    padding-left: 20px;
    max-height: 0;
    transition: max-height .3s ease-out;
}

.menu {
	height: 100%;
}

.menu a{
    display: block;
    padding: 20px;
    color: white;
}

.menu a:hover{
   color: white;
}

/* Menu */

.hamb{
    cursor: pointer;
    float: right;
    padding: 20px 20px 0px 190px;
	z-index: 10000;
}


.hamb-line {
    background: white;
    display: block;
    height: 2px;
    position: relative;
    width: 24px;
    
}

.hamb-line::before,
.hamb-line::after{
    background: white;
    content: '';
    display: block;
    height: 100%;
    width: 100%;
    position: absolute;
    transition: all .2s ease-out;
}

.hamb-line::before{
    top: 5px;
}

.hamb-line::after{
    top: -5px;
}

.side-menu {
    display: none;
}

/* Toggle menu icon */

.side-menu:checked ~ nav {
	margin-top: 50px;
    max-height: 100vh;
    text-align: center;
}

.side-menu:checked ~ .hamb .hamb-line {
    background: transparent;
}

.side-menu:checked ~ .hamb .hamb-line::before {
  transform: translateY(-5px) rotate(45deg); }

.side-menu:checked ~ .hamb .hamb-line::after {
  transform: translateY(5px) rotate(-45deg); }
  
.header-column {
   float: left;
   width: 100%;
   padding: 10px;
}

/* Clear floats after the columns */
.header-row:after {
  content: "";
  display: table;
  clear: both;
}

.hover-underline-animation {
  display: inline-block;
  position: relative;
  color: blue;
}

.hover-underline-animation:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.hover-underline-animation:hover:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

/* Responsiveness */
@media screen and (min-width: 890px) {
    .nav{
        max-height: none;
        top: 0;
        position: relative;
        float: right;
        width: fit-content;
    }

    .menu li{
        float: left;
    }

    .menu a:hover{
        background-color: black;
    }
    
    .hamb{
        display: none;
    }
}

@media screen and (max-width: 991px) {
    .menu a:hover{
        color: yellow;
    }

	.header {
		height: 60px;
	}
	
	.logo{
	    position: relative;
	    padding-left: 10px;
	    top: 10px;
	    overflow: hidden;
	}
}
	
@media screen and (max-width: 479px) {
	.header {
		height: 40px;
	}

}


